Index: trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc
===================================================================
--- trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1007)
+++ trunk/source/processes/hadronic/models/pre_equilibrium/exciton_model/src/G4PreCompoundDeuteron.cc	(revision 1055)
@@ -24,44 +24,56 @@
 // ********************************************************************
 //
-//J.M.Quesada (August 08). New source file
-// 
-// Modif (21 August 2008) by J. M. Quesada for external choice of inverse 
-// cross section option
+// $Id: G4PreCompoundDeuteron.cc,v 1.5 2009/02/13 18:57:32 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-beta-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class file
+//
+//
+// File name:     G4PreCompoundDeuteron
+//
+// Author:         V.Lara
+//
+// Modified:  
+// 21.08.2008 J. M. Quesada add choice of options  
+// 10.02.2009 J. M. Quesada set default opt1  
+//
 
 #include "G4PreCompoundDeuteron.hh"
 
-
-
-  G4ReactionProduct * G4PreCompoundDeuteron::GetReactionProduct() const
-  {
-    G4ReactionProduct * theReactionProduct =
-      new G4ReactionProduct(G4Deuteron::DeuteronDefinition());
-    theReactionProduct->SetMomentum(GetMomentum().vect());
-    theReactionProduct->SetTotalEnergy(GetMomentum().e());
+G4ReactionProduct * G4PreCompoundDeuteron::GetReactionProduct() const
+{
+  G4ReactionProduct * theReactionProduct =
+    new G4ReactionProduct(G4Deuteron::DeuteronDefinition());
+  theReactionProduct->SetMomentum(GetMomentum().vect());
+  theReactionProduct->SetTotalEnergy(GetMomentum().e());
 #ifdef PRECOMPOUND_TEST
-    theReactionProduct->SetCreatorModel("G4PrecompoundModel");
+  theReactionProduct->SetCreatorModel("G4PrecompoundModel");
 #endif
-    return theReactionProduct;
-  }   
-
- 
-   G4double G4PreCompoundDeuteron::FactorialFactor(const G4double N, const G4double P)
-  {
-      return (N-1.0)*(N-2.0)*(P-1.0)*P/2.0;
+  return theReactionProduct;
+}   
+
+ 
+G4double G4PreCompoundDeuteron::FactorialFactor(const G4double N, const G4double P)
+{
+  return (N-1.0)*(N-2.0)*(P-1.0)*P/2.0;
+}
+  
+G4double G4PreCompoundDeuteron::CoalescenceFactor(const G4double A)
+{
+  return 16.0/A;
+}    
+
+G4double G4PreCompoundDeuteron::GetRj(const G4int NumberParticles, const G4int NumberCharged)
+{
+  G4double rj = 0.0;
+  G4double denominator = NumberParticles*(NumberParticles-1);
+  if(NumberCharged >=1 && (NumberParticles-NumberCharged) >=1) {
+    rj = 2.0*static_cast<G4double>(NumberCharged*(NumberParticles-NumberCharged))
+      / static_cast<G4double>(denominator); 
   }
-  
-   G4double G4PreCompoundDeuteron::CoalescenceFactor(const G4double A)
-  {
-    return 16.0/A;
-  }    
-
-  G4double G4PreCompoundDeuteron::GetRj(const G4int NumberParticles, const G4int NumberCharged)
-  {
-    G4double rj = 0.0;
-    G4double denominator = NumberParticles*(NumberParticles-1);
-   if(NumberCharged >=1 && (NumberParticles-NumberCharged) >=1) rj = 2.0*static_cast<G4double>(NumberCharged*(NumberParticles-NumberCharged))/static_cast<G4double>(denominator); 
-
-    return rj;
-  }
+  return rj;
+}
 
 ////////////////////////////////////////////////////////////////////////////////////
@@ -71,5 +83,5 @@
 //OPT=3,4 Kalbach's parameterization 
 // 
- G4double G4PreCompoundDeuteron::CrossSection(const  G4double K)
+G4double G4PreCompoundDeuteron::CrossSection(const  G4double K)
 {
 
@@ -106,25 +118,25 @@
 //---------
 //
- G4double G4PreCompoundDeuteron::GetAlpha()
-  {
-G4double C = 0.0;
-    G4double aZ = GetZ() + GetRestZ();
-    if (aZ >= 70) 
-      {
-	C = 0.10;
-      } 
-    else 
-      {
-	C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375; 
-      }
-    return 1.0 + C/2.0;
-  }
+G4double G4PreCompoundDeuteron::GetAlpha()
+{
+  G4double C = 0.0;
+  G4double aZ = GetZ() + GetRestZ();
+  if (aZ >= 70) 
+    {
+      C = 0.10;
+    } 
+  else 
+    {
+      C = ((((0.15417e-06*aZ) - 0.29875e-04)*aZ + 0.21071e-02)*aZ - 0.66612e-01)*aZ + 0.98375; 
+    }
+  return 1.0 + C/2.0;
+}
 //
 //---------
 //
-  G4double G4PreCompoundDeuteron::GetBeta() 
-  {
-      return -GetCoulombBarrier();
-  }
+G4double G4PreCompoundDeuteron::GetBeta() 
+{
+  return -GetCoulombBarrier();
+}
 //
 //********************* OPT=1,2 : Chatterjee's cross section ************************ 
@@ -140,5 +152,5 @@
 
   G4double landa ,mu ,nu ,p , Ec,q,r,ji,xs;
-//G4double Eo(0),epsilon1(0),epsilon2(0),discri(0);
+  //G4double Eo(0),epsilon1(0),epsilon2(0),discri(0);
 
  
@@ -174,7 +186,4 @@
 }
 
-
-
-
 // *********** OPT=3,4 : Kalbach's cross sections (from PRECO code)*************
 G4double G4PreCompoundDeuteron::GetOpt34(const  G4double K)
@@ -205,5 +214,7 @@
   G4double     ra=0.80;
         
-  ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  //JMQ 13/02/09 increase of reduced radius to lower the barrier
+  // ec = 1.44 * theZ * ResidualZ / (1.5*ResidualAthrd+ra);
+  ec = 1.44 * theZ * ResidualZ / (1.7*ResidualAthrd+ra);
   ecsq = ec * ec;
   p = p0 + p1/ec + p2/ecsq;
@@ -226,7 +237,7 @@
   elab = K * FragmentA / ResidualA;
   sig = 0.;
- 
+
   if (elab <= ec) { //start for E<Ec
-    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;    
+    if (elab > ecut2)  sig = (p*elab*elab+a*elab+b) * signor;
   }           //end for E<Ec
   else {           //start for E>Ec
